package cn.noah.svg.template;

import android.graphics.*;
import android.os.Looper;

import cn.noah.svg.NGSVGCode;

public class SVGNinePatchCode extends NGSVGCode {

    public SVGNinePatchCode() {
        type = TYPE_NINE_PATCH;
        width = SVGTag.WIDTH;
        height = SVGTag.HEIGHT;
        bounds = new Rect();
        minHardwareApiLevel = SVGTag.MIN_HARDWARE_API_LEVEL;
        /*member*/
    }

    @Override
    public void render(Object... params) {
        Canvas localCanvas = (Canvas) params[0];
        Looper looper = (Looper) params[1];
        Rect srcBounds = (Rect) params[2];
        toDensityPxBounds(srcBounds, bounds, scaleX, scaleY);
        /*render*/
        done(looper);
    }

    @Override
    public boolean getPadding(Rect padding) {
        padding.left = SVGTag.PADDING_LEFT;
        padding.top = SVGTag.PADDING_TOP;
        padding.right = SVGTag.PADDING_RIGHT;
        padding.bottom = SVGTag.PADDING_BOTTOM;
        return (padding.left | padding.top | padding.right | padding.bottom) != 0;
    }

    /*init*/

}
